{=========================================================================
  DcdcReg Unit

  Registration Unit for all components presented in "Developing Custom
  Delphi 3 Components" by Ray Konopka.

  In Delphi 3:
  Install the DcdcDcl.dpl design-time package.

  In Delphi 2:
  Install these components by adding this unit to the list
  of Installed Units in Delphi's Component|Install... dialog.

  Developing Custom Delphi 3 Components
  Copyright  1995-1997 by Ray Konopka
=========================================================================}

unit DcdcReg;

interface

procedure Register;

implementation

uses
  Forms, Classes, Controls, SysUtils, DsgnIntf, RkCommon,
  RkBtn, RkPanel, RkLabel, RkLblEdt, RkTabLst, RkTabEdt, RkPrgres,
  RkStatus, RkStsEdt, RkTrkBar, RkBWCC, RkAddr, RkNavPnl, RkLaunch,
  {RkLcrEdt,} RkMail, RkLookup, RkDBStat, RkDBSpin, RkROGrid{, RkAbout};


{========================}
{== Register Procedure ==}
{========================}

procedure Register;
begin
  {== Register Components ==}
  RegisterComponents( PalettePage,
                      [ TRkOkButton, TRkCancelButton, TRkPanel, TRkLabel,
                        TRkTabbedListBox, TRkProgressBar,
                        TRkStatusControl, TRkGlyphStatus, TRkClockStatus,
                        TRkKeyStatus, TRkTrackBar, TRkBwccCheckBox,
                        TRkBwccRadioButton, TRkAddress, TRkNavigatorPanel,
                        TRkLauncher, TRkMailMessage, TRkLookupDialog,
                        TRkDBStatusControl, TRkDBSpinEdit,
                        TRkDBReadOnlyGrid ] );


  {== Register Property Editors ==}

  RkStsEdt.Register;
  RkTabEdt.Register;
{  RkLcrEdt.Register;}
{  RkAbout.Register;}

  {== Register Component Editors ==}
  RkLblEdt.Register;
end;

end.
